Skip to main content
PATCH
Update a company

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

companyId
string
required
Pattern: .+

Query Parameters

idProperty
string

The name of a property whose values are unique for this object type

Body

application/json

Represents the input required to update a CRM object, containing an object with property names and their corresponding values.

properties
object
required

The company property values to set.

Response

successful operation

A simple public object.

archived
boolean
required

A boolean indicating whether the object is archived.

createdAt
string<date-time>
required

The date and time when this object was created, in ISO 8601 format.

id
string
required

The unique identifier for this object, represented as a string.

properties
object
required

A map of property names to their values, where each value is a string.

updatedAt
string<date-time>
required

The date and time when this object was last updated, in ISO 8601 format.

archivedAt
string<date-time>

The date and time when this object was archived, in ISO 8601 format.

objectWriteTraceId
string

A string representing the trace ID for write operations on this object.

propertiesWithHistory
object

A map of property names to their historical values, where each value is an array of objects containing the value and timestamp.

url
string

A string containing the URL of the object.

warnings
object[]

An array of warning objects, each containing details about potential issues with the object.

Last modified on September 14, 2026